Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface JbossType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  JbossTypeImpl

    public interface JbossType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `jbossType` xsd type

Original Documentation:

The jboss element is the root element of the jboss.xml file. It contains
all the information used by jboss but not described in the ejb-jar.xml file. All of it is
optional. 1- the application assembler can define custom container configurations for the
beans. Standard configurations are provided in standardjboss.xml 2- the deployer can
override the jndi names under which the beans are deployed 3- the deployer can specify
runtime jndi names for resource managers.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`AssemblyDescriptorType<JbossType<T>>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<JbossType<T>>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<JbossType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJaccContextId()` Returns the `jacc-context-id` element
`java.lang.String` | `getJmxName()` Returns the `jmx-name` element
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.lang.String` | `getUnauthenticatedPrincipal()` Returns the `unauthenticated-principal` element
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<JbossType<T>>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`java.lang.Boolean` | `isMissingMethodPermissionsExcludedMode()` Returns the `missing-method-permissions-excluded-mode` element
`LoaderRepositoryType<JbossType<T>>` | `loaderRepository()` If not already created, a new `loader-repository` element will be created and returned.
`JbossType<T>` | `removeAllDescription()` Removes the `description` element
`JbossType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`JbossType<T>` | `removeAllIcon()` Removes all `icon` elements
`JbossType<T>` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`JbossType<T>` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`JbossType<T>` | `removeJaccContextId()` Removes the `jacc-context-id` element
`JbossType<T>` | `removeJmxName()` Removes the `jmx-name` element
`JbossType<T>` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`JbossType<T>` | `removeLoaderRepository()` Removes the `loader-repository` element
`JbossType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`JbossType<T>` | `removeMissingMethodPermissionsExcludedMode()` Removes the `missing-method-permissions-excluded-mode` element
`JbossType<T>` | `removeResourceManagers()` Removes the `resource-managers` element
`JbossType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`JbossType<T>` | `removeUnauthenticatedPrincipal()` Removes the `unauthenticated-principal` element
`JbossType<T>` | `removeVersion()` Removes the `version` attribute
`JbossType<T>` | `removeWebservices()` Removes the `webservices` element
`ResourceManagersType<JbossType<T>>` | `resourceManagers()` If not already created, a new `resource-managers` element will be created and returned.
`JbossType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`JbossType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`JbossType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`JbossType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`JbossType<T>` | `setJaccContextId(java.lang.String jaccContextId)` If not already created, a new `jacc-context-id` element with the given value will be created.
`JbossType<T>` | `setJmxName(java.lang.String jmxName)` If not already created, a new `jmx-name` element with the given value will be created.
`JbossType<T>` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`JbossType<T>` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`JbossType<T>` | `setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)` If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created.
`JbossType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`JbossType<T>` | `setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)` If not already created, a new `unauthenticated-principal` element with the given value will be created.
`JbossType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebservicesType<JbossType<T>>` | `webservices()` If not already created, a new `webservices` element will be created and returned.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    JbossType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `JbossType`

### setDescriptionList

    JbossType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `JbossType`

### removeAllDescription

    JbossType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `JbossType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    JbossType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `JbossType`

### setDisplayNameList

    JbossType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `JbossType`

### removeAllDisplayName

    JbossType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `JbossType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    JbossType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `JbossType`

### icon

    IconType<JbossType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<JbossType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeLoaderRepository

    JbossType<T> removeLoaderRepository()

  Removes the `loader-repository` element

  Returns:
    the current instance of `JbossType`

### loaderRepository

    LoaderRepositoryType<JbossType<T>> loaderRepository()

  If not already created, a new `loader-repository` element will be created and returned. Otherwise, the existing `loader-repository` element will be returned.

  Returns:
    the node defined for the element `loader-repository`

### setJmxName

    JbossType<T> setJmxName(java.lang.String jmxName)

  If not already created, a new `jmx-name` element with the given value will be created. Otherwise, the existing `jmx-name` element will be updated with the given value.

  Returns:
    the current instance of `JbossType`

### removeJmxName

    JbossType<T> removeJmxName()

  Removes the `jmx-name` element

  Returns:
    the current instance of `JbossType`

### getJmxName

    java.lang.String getJmxName()

  Returns the `jmx-name` element

  Returns:
    the node defined for the element `jmx-name`

### setSecurityDomain

    JbossType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Returns:
    the current instance of `JbossType`

### removeSecurityDomain

    JbossType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Returns:
    the current instance of `JbossType`

### getSecurityDomain

    java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Returns:
    the node defined for the element `security-domain`

### setMissingMethodPermissionsExcludedMode

    JbossType<T> setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)

  If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created. Otherwise, the existing `missing-method-permissions-excluded-mode` element will be updated with the given value.

  Returns:
    the current instance of `JbossType`

### removeMissingMethodPermissionsExcludedMode

    JbossType<T> removeMissingMethodPermissionsExcludedMode()

  Removes the `missing-method-permissions-excluded-mode` element

  Returns:
    the current instance of `JbossType`

### isMissingMethodPermissionsExcludedMode

    java.lang.Boolean isMissingMethodPermissionsExcludedMode()

  Returns the `missing-method-permissions-excluded-mode` element

  Returns:
    the node defined for the element `missing-method-permissions-excluded-mode`

### setUnauthenticatedPrincipal

    JbossType<T> setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)

  If not already created, a new `unauthenticated-principal` element with the given value will be created. Otherwise, the existing `unauthenticated-principal` element will be updated with the given value.

  Returns:
    the current instance of `JbossType`

### removeUnauthenticatedPrincipal

    JbossType<T> removeUnauthenticatedPrincipal()

  Removes the `unauthenticated-principal` element

  Returns:
    the current instance of `JbossType`

### getUnauthenticatedPrincipal

    java.lang.String getUnauthenticatedPrincipal()

  Returns the `unauthenticated-principal` element

  Returns:
    the node defined for the element `unauthenticated-principal`

### setJndiBindingPolicy

    JbossType<T> setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Returns:
    the current instance of `JbossType`

### removeJndiBindingPolicy

    JbossType<T> removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Returns:
    the current instance of `JbossType`

### getJndiBindingPolicy

    java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Returns:
    the node defined for the element `jndi-binding-policy`

### setJaccContextId

    JbossType<T> setJaccContextId(java.lang.String jaccContextId)

  If not already created, a new `jacc-context-id` element with the given value will be created. Otherwise, the existing `jacc-context-id` element will be updated with the given value.

  Returns:
    the current instance of `JbossType`

### removeJaccContextId

    JbossType<T> removeJaccContextId()

  Removes the `jacc-context-id` element

  Returns:
    the current instance of `JbossType`

### getJaccContextId

    java.lang.String getJaccContextId()

  Returns the `jacc-context-id` element

  Returns:
    the node defined for the element `jacc-context-id`

### removeWebservices

    JbossType<T> removeWebservices()

  Removes the `webservices` element

  Returns:
    the current instance of `JbossType`

### webservices

    WebservicesType<JbossType<T>> webservices()

  If not already created, a new `webservices` element will be created and returned. Otherwise, the existing `webservices` element will be returned.

  Returns:
    the node defined for the element `webservices`

### removeEnterpriseBeans

    JbossType<T> removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Returns:
    the current instance of `JbossType`

### enterpriseBeans

    EnterpriseBeansType<JbossType<T>> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Returns:
    the node defined for the element `enterprise-beans`

### removeAssemblyDescriptor

    JbossType<T> removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Returns:
    the current instance of `JbossType`

### assemblyDescriptor

    AssemblyDescriptorType<JbossType<T>> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Returns:
    the node defined for the element `assembly-descriptor`

### removeResourceManagers

    JbossType<T> removeResourceManagers()

  Removes the `resource-managers` element

  Returns:
    the current instance of `JbossType`

### resourceManagers

    ResourceManagersType<JbossType<T>> resourceManagers()

  If not already created, a new `resource-managers` element will be created and returned. Otherwise, the existing `resource-managers` element will be returned.

  Returns:
    the node defined for the element `resource-managers`

### setVersion

    JbossType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `JbossType`

### removeVersion

    JbossType<T> removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `JbossType`

### getVersion

    java.lang.String getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### setMetadataComplete

    JbossType<T> setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `JbossType`

### removeMetadataComplete

    JbossType<T> removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Returns:
    the current instance of `JbossType`

### isMetadataComplete

    java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Returns:
    the node defined for the element `metadata-complete`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD